<?php

namespace chillerlan\FastRouteTest\Dispatcher;

use chillerlan\FastRoute\Dispatcher\DispatcherMB;
use chillerlan\FastRoute\DataGenerator\GeneratorMB;

class MarkBasedTest extends DispatcherTest{
	public function setUp(){
		preg_match('/(*MARK:A)a/', 'a', $matches);
		if(!isset($matches['MARK'])){
			$this->markTestSkipped('PHP 5.6 required for MARK support');
		}
	}

	protected function getDispatcherClass(){
		return DispatcherMB::class;
	}

	protected function getDataGeneratorClass(){
		return GeneratorMB::class;
	}
}
